jcap1
Aerospace
- Aug 27, 2020
- 2
Hi,
I'm very new to NXOpen.
I'm trying to replace the component1.FindObject selection stickiness in the journal file I recorded:
I've found some examples for how to do this for a face but not for a CAE edge or vertex.
Ideally I would like to reference the CAE edge by a user given attribute name (e.g. TopEdge) and then select the start or end vertex of the edge.
I've been searching around but don't know where to go from here.
Again, I'm just starting out so sorry if this is a very basic question.
Thanks ahead of time.
I'm very new to NXOpen.
I'm trying to replace the component1.FindObject selection stickiness in the journal file I recorded:
Code:
Dim cAEEdge1 As NXOpen.CAE.CAEEdge = CType(component1.FindObject("PROTO#CAE_Body(1)|CAE_Edge(1)"), NXOpen.CAE.CAEEdge)
Dim cAEVertex1 As NXOpen.CAE.CAEVertex = CType(component1.FindObject("PROTO#CAE_Body(1)|CAE_Vertex(2)"), NXOpen.CAE.CAEVertex)
I've found some examples for how to do this for a face but not for a CAE edge or vertex.
Ideally I would like to reference the CAE edge by a user given attribute name (e.g. TopEdge) and then select the start or end vertex of the edge.
I've been searching around but don't know where to go from here.
Again, I'm just starting out so sorry if this is a very basic question.
Thanks ahead of time.